> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verifications.creation_failed webhook

> The `verifications.creation_failed` webhook is sent when Argyle fails to create a verification.


Sent when creating a verification fails.


## OpenAPI

````yaml openAPI/verifications-webhooks-creation-failed.yaml post /v2/webhooks
openapi: 3.0.0
info:
  title: Verifications Webhooks API
  version: '2.0'
  description: |
    API for managing Verifications Webhooks.
    Sent when creating a verification fails.
servers:
  - url: https://api-sandbox.argyle.com
security:
  - basicAuth: []
paths:
  /v2/webhooks:
    post:
      summary: Example subscription
      description: >
        The `verifications.creation_failed` webhook is sent when Argyle fails to
        create a verification.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhookSubscriptionRequest'
            example:
              events:
                - verifications.creation_failed
              name: name-for-the-webhook-subscription
              url: >-
                https://webhooks.example.com/argyle/verifications-creation-failed
              secret: secret-value
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookMessage'
              examples:
                verifications_creation_failed:
                  summary: Example Webhook Delivery
                  value:
                    event: verifications.creation_failed
                    name: name-for-the-webhook-subscription
                    data:
                      user: 018051aa-f7a9-a0db-2f38-6cfa325e9d69
                      context:
                        user: 018051aa-f7a9-a0db-2f38-6cfa325e9d69
                        attempted_at: '2023-03-09T16:22:06.081Z'
                        channel: encompass
                        data_source: banking
                        report_type: voa
                        loan:
                          number: '1234'
                          borrower_id: ABC789
                          application_id: '2121313'
                          officer_email: john.doe@mortgage.com
                        billing:
                          cost_center: '5'
components:
  schemas:
    WebhookSubscriptionRequest:
      type: object
      properties:
        events:
          type: array
          description: |
            `verifications.creation_failed`
          items:
            type: string
            enum:
              - verifications.creation_failed
            example: verifications.creation_failed
        name:
          type: string
          example: name-for-the-webhook-subscription
          description: Your name for the webhook subscription.
        url:
          type: string
          example: https://webhooks.example.com/argyle/verifications-creation-failed
          description: >-
            Where you want to receive webhook delivery. This can be either a
            backend URL that you manage, or a URL provided by a webhook
            management service. Argyle handles URL encoding for webhook URLs.
            Send the URL in its normal, unencoded form.
        secret:
          type: string
          example: secret-value
          description: >-
            Optional secret used to [verify
            webhooks](/api-guide/webhooks#verifying-webhooks).
      required:
        - events
        - name
        - url
    WebhookMessage:
      type: object
      properties:
        event:
          type: string
          description: |
            `verifications.creation_failed`
          example: verifications.creation_failed
        name:
          type: string
          description: Name used for the webhook subscription.
          example: name-for-the-webhook-subscription
        data:
          type: object
          properties:
            user:
              type: string
              format: uuid
              description: ID of the user.
              example: 018051aa-f7a9-a0db-2f38-6cfa325e9d69
            context:
              $ref: '#/components/schemas/VerificationCreationFailedContext'
      example:
        event: verifications.creation_failed
        name: name-for-the-webhook-subscription
        data:
          user: 018051aa-f7a9-a0db-2f38-6cfa325e9d69
          context:
            user: 018051aa-f7a9-a0db-2f38-6cfa325e9d69
            attempted_at: '2023-03-09T16:22:06.081Z'
            channel: encompass
            data_source: banking
            report_type: voa
            loan:
              number: '1234'
              borrower_id: ABC789
              application_id: '2121313'
              officer_email: john.doe@mortgage.com
            billing:
              cost_center: '5'
    VerificationCreationFailedContext:
      type: object
      properties:
        user:
          type: string
          format: uuid
          description: ID of the user.
          example: 018051aa-f7a9-a0db-2f38-6cfa325e9d69
        attempted_at:
          type: string
          format: date-time
          description: Time when Argyle attempted to create the verification.
          example: '2023-03-09T16:22:06.081Z'
        channel:
          type: string
          description: Channel where verification creation was attempted.
          example: encompass
        data_source:
          type: string
          description: Data source requested for the verification.
          example: banking
        report_type:
          type: string
          description: Report type requested for the verification.
          example: voa
        loan:
          $ref: '#/components/schemas/VerificationLoan'
        billing:
          $ref: '#/components/schemas/VerificationBilling'
    VerificationLoan:
      type: object
      properties:
        number:
          type: string
          description: Loan number.
          example: '1234'
        borrower_id:
          type: string
          description: Borrower ID.
          example: ABC789
        application_id:
          type: string
          description: Loan application ID.
          example: '2121313'
        officer_email:
          type: string
          format: email
          description: Loan officer email.
          example: john.doe@mortgage.com
    VerificationBilling:
      type: object
      properties:
        cost_center:
          type: string
          description: Cost center.
          example: '5'
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````